
From: Alexander Nyberg <alexn@dsv.su.se>

The 'bad' label will call function that unconditionally dereferences the
NULL pointer.

Found by the Coverity tool

Signed-off-by: Alexander Nyberg <alexn@dsv.su.se>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/security/selinux/ss/policydb.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN security/selinux/ss/policydb.c~selinux-null-dereference-in-error-path security/selinux/ss/policydb.c
--- 25/security/selinux/ss/policydb.c~selinux-null-dereference-in-error-path	2005-02-28 17:04:58.000000000 -0800
+++ 25-akpm/security/selinux/ss/policydb.c	2005-02-28 17:04:58.000000000 -0800
@@ -773,7 +773,7 @@ static int class_read(struct policydb *p
 	cladatum = kmalloc(sizeof(*cladatum), GFP_KERNEL);
 	if (!cladatum) {
 		rc = -ENOMEM;
-		goto bad;
+		goto out;
 	}
 	memset(cladatum, 0, sizeof(*cladatum));
 
_
